Set tags on a prompt family
curl --request PATCH \
--url https://api.zespan.com/v1/prompts/{name}/tags \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tags": [
"support",
"inbound"
],
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.zespan.com/v1/prompts/{name}/tags"
payload = {
"tags": ["support", "inbound"],
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tags: ['support', 'inbound'],
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.zespan.com/v1/prompts/{name}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "support-reply",
"version": 3,
"prompt": "<string>",
"config": {},
"labels": [
"production",
"latest"
],
"tags": [
"<string>"
],
"folder": "<string>",
"commitMessage": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"resolvedPrompt": "<unknown>"
}
]
}{
"error": "Unauthorized",
"code": "rate_limit_exceeded"
}Set tags on a prompt family
Replace the set of tags across all versions of a prompt family.
PATCH
/
v1
/
prompts
/
{name}
/
tags
Set tags on a prompt family
Authorizations
Project API key. Manage keys in the Zespan dashboard under project settings.
Path Parameters
Prompt name.
Body
application/json
Response
Updated versions.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

